/*
 * @(#)adserver.java	1.0 98/07/07
 * 
 * Copyright (c) 1998 Studio Associato I-Tech All Rights Reserved.
 * 
 * 
 * I-Tech MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. I-Tech SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 * 
 */

import java.sql.*;
import java.io.*;

class SQLwork 
{

	Statement st;
	PrintWriter out;

	public SQLwork(Statement st, PrintWriter out)
	{
		this.st = st;
		this.out = out;
	}

	public void doWork(String type, String dim, String key1,
					   String key2, String key3)
	{

		try {

			ResultSet rs = 
				st.executeQuery("SELECT count(*) from ads");

			if (rs != null){

				while (rs.next()){
	
					int i = rs.getInt(1);
					out.print("ci sono " + i + " elementi nel db ads");
					out.flush();
				}

				rs.close();
			}
		} catch (SQLException sqle){

			out.print("Error Processing Query: " + sqle.toString());
			out.flush();
		}
	}
}

